<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() .'/library/vendor/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'ostrya_register_required_plugins' );

function ostrya_register_required_plugins() {

	$plugins = array(

		array(
			'name'     				=> esc_html__('Redux Framework', 'ostrya'),
			'slug'     				=> 'redux-framework',
			'source'   				=> esc_url ( 'https://downloads.wordpress.org/plugin/redux-framework.3.6.18.zip' ),
			'required' 				=> true,
			'version' 				=> '3.6.18',
			'force_activation' 		=> false,
			'force_deactivation' 	=> false,
		),		
		array(
			'name'     				=> esc_html__('Ostrya Plugin', 'ostrya'),
			'slug'     				=> 'wdc_ostrya',
			'source'   				=> esc_url ( 'http://iwebdc.com/demo/wdc_plugins/wdc_ostrya.zip' ),
			'required' 				=> true,
			'version' 				=> '1.0.5',
			'force_activation' 		=> false,
			'force_deactivation' 	=> false,
		),
		array(
			'name'     				=> esc_html__('Visual Composer Plugin', 'ostrya'),
			'slug'     				=> 'js_composer',
			'source'   				=> esc_url ( 'http://iwebdc.com/demo/wdc_plugins/js_composer.zip' ),
			'required' 				=> true,
			'version' 				=> '6.3.0',
			'force_activation' 		=> false,
			'force_deactivation' 	=> false,
		),
		array(
			'name'     				=> esc_html__('Revolution Slider Plugin', 'ostrya'),
			'slug'     				=> 'revslider',
			'source'   				=> esc_url ( 'http://iwebdc.com/demo/wdc_plugins/revslider.zip' ),
			'required' 				=> false,
			'version' 				=> '6.2.22',
			'force_activation' 		=> false,
			'force_deactivation' 	=> false,
		),
		array(
			'name' 		=> 'Contact Form 7',
			'slug' 		=> 'contact-form-7',
			'required' 	=> true,
		),
		array(
			'name'     				=> esc_html__('Woocommerce', 'ostrya'),
			'slug'     				=> 'woocommerce',
		//	'source'   				=> esc_url ( 'https://downloads.wordpress.org/plugin/woocommerce.3.6.1.zip' ),
			'required' 				=> false,
		//	'version' 				=> '',
			'force_activation' 		=> false,
			'force_deactivation' 	=> false,
		),
		array(
			'name' 		=> 'MailChimp for WordPress',
			'slug' 		=> 'mailchimp-for-wp',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'Twenty20 Image Before-After (Mobicare)',
			'slug' 		=> 'twenty20',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'Classic Editor',
			'slug' 		=> 'classic-editor',
			'required' 	=> false,
		),
	);


	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );
}
